CREATE TABLE `zt_requestlog` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `url` varchar(255) DEFAULT NULL,
  `objectType` varchar(30) DEFAULT NULL,
  `purpose` varchar(50) DEFAULT NULL,
  `requestType` char(30) DEFAULT NULL,
  `status` char(30) DEFAULT NULL,
  `params` longtext,
  `response` longtext,
  `requestDate` datetime DEFAULT NULL,
  `extra` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
);

CREATE TABLE `zt_oidcauth` (
  `id` int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `appID` varchar(30) NOT NULL,
  `clientID` varchar(60) NOT NULL,
  `clientSecret` varchar(80) NOT NULL,
  `appName` varchar(100) NOT NULL,
  `homePageURL` varchar(150) NOT NULL,
  `callbackURL` varchar(150) NOT NULL,
  `integration` text NOT NULL,
  `register` varchar(20) NOT NULL,
  `defaultGroup` varchar(30) NOT NULL,
  `status` varchar(20) NOT NULL,
  `createdBy` varchar(80) NOT NULL,
  `createdDate` datetime NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0'
);

CREATE TABLE `zt_oidccode` (
  `id` int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `clientID` varchar(60) NOT NULL,
  `userID` int(10) NOT NULL,
  `code` varchar(60) NOT NULL,
  `redirectUri` varchar(150) NOT NULL,
  `expiresAt` datetime NOT NULL,
  `createdBy` varchar(80) NOT NULL,
  `createdDate` datetime NOT NULL,
  `ip` varchar(150) NOT NULL
);

CREATE TABLE `zt_oidcaccesstokens` (
  `id` int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `clientID` varchar(60) NOT NULL,
  `userID` int(10) NOT NULL,
  `accessToken` varchar(150) NOT NULL,
  `expiresAt` datetime NOT NULL,
  `createdAt` datetime NOT NULL
);

CREATE TABLE `zt_oidcrefreshtokens` (
  `id` int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `clientID` varchar(60) NOT NULL,
  `userID` int(10) NOT NULL,
  `refreshToken` varchar(150) NOT NULL,
  `expiresAt` datetime NOT NULL,
  `createdAt` datetime NOT NULL
);

CREATE TABLE `zt_oidcmessage` (
  `id` int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `clientID` varchar(60) NOT NULL,
  `account` char(30) NOT NULL,
  `email` varchar(100) NOT NULL,
  `subject` varchar(120) NOT NULL,
  `code` varchar(10) NOT NULL,
  `body` text NOT NULL,
  `sendAt` int(10) NOT NULL
);


REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authgithub', '', 'applicationLink', 'https://github.com/login/oauth/authorize');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authgithub', '', 'accessTokenLink', 'https://github.com/login/oauth/access_token');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authgithub', '', 'userInfoLink', 'https://api.github.com/user');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authgithub', '', 'status', 'disabled');


REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authgitlab', '', 'applicationLink', 'https://gitlab.zcorp.cc/oauth/authorize');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authgitlab', '', 'accessTokenLink', 'https://gitlab.zcorp.cc/oauth/token');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authgitlab', '', 'userInfoLink', 'https://gitlab.zcorp.cc/api/v4/user');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authgitlab', '', 'status', 'disabled');

REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authgitee', '', 'applicationLink', 'https://gitee.com/oauth/authorize');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authgitee', '', 'accessTokenLink', 'https://gitee.com/oauth/token');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authgitee', '', 'userInfoLink', 'https://gitee.com/api/v5/user');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authgitee', '', 'status', 'disabled');

REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authdingding', '', 'applicationLink', 'https://login.dingtalk.com/oauth2/auth');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authdingding', '', 'accessTokenLink', 'https://api.dingtalk.com/v1.0/oauth2/userAccessToken');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authdingding', '', 'userInfoLink', 'https://api.dingtalk.com/v1.0/contact/users/me');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authdingding', '', 'status', 'disabled');

REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authfeishu', '', 'applicationLink', 'https://passport.feishu.cn/suite/passport/oauth/authorize');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authfeishu', '', 'accessTokenLink', 'https://passport.feishu.cn/suite/passport/oauth/token');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authfeishu', '', 'userInfoLink', 'https://passport.feishu.cn/suite/passport/oauth/userinfo');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authfeishu', '', 'status', 'disabled');

REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authwecom', '', 'applicationLink', 'https://login.work.weixin.qq.com/wwlogin/sso/login');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authwecom', '', 'accessTokenLink', 'https://qyapi.weixin.qq.com/cgi-bin/gettoken');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authwecom', '', 'userInfoLink', 'https://qyapi.weixin.qq.com/cgi-bin/auth/getuserinfo');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authwecom', '', 'userDetailLink', 'https://qyapi.weixin.qq.com/cgi-bin/user/get');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authwecom', '', 'status', 'disabled');

REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authqq', '', 'applicationLink', 'https://graph.qq.com/oauth2.0/authorize');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authqq', '', 'accessTokenLink', 'https://graph.qq.com/oauth2.0/token');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authqq', '', 'userOpenIdLink', 'https://graph.qq.com/oauth2.0/me');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authqq', '', 'userInfoLink', 'https://graph.qq.com/user/get_user_info');
REPLACE INTO `zt_config` (`vision`, `owner`, `module`, `section`, `key`, `value`) VALUES ('', 'system', 'authqq', '', 'status', 'disabled');

